package agent_base

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/agent_base"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /agent_base/create agent_base CreateAgentBase
//
// Create agent base information | 创建AgentBase
//
// Create agent base information | 创建AgentBase
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: CreateDataInfoReq
//
// Responses:
//  200: BaseDataInfo

func CreateAgentBaseHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.CreateDataInfoReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := agent_base.NewCreateAgentBaseLogic(r.Context(), svcCtx)
		resp, err := l.CreateAgentBase(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
